apiVersion: apps/v1
kind: Deployment
metadata:
  name: contact-fe-deployment
  namespace: {{ .Release.Namespace }}
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: contact-fe-container
  template:
    metadata:
      labels:
        app: contact-fe-container
      annotations:
        checksum/config1: {{ include (print $.Template.BasePath "/contact-fe-configmap.yaml") . | sha256sum }}
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: Always
          name: contact-fe-container
          ports:
            - containerPort: 80
          volumeMounts:
            - name: config-volume
              mountPath: /usr/share/nginx/html/config/development.json
              subPath: development.json
              readOnly: true
      volumes:
        - name: config-volume
          configMap:
            name: contact-fe-config
            items:
            - key: development.json
              path: development.json
---
apiVersion: v1
kind: Service
metadata:
  name: contact-fe-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: contact-fe-container
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80